"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconWifi = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M8.00008 13H8.00675M15.2044 5.80051C13.3064 4.06133 10.7772 3 8.00001 3C5.22284 3 2.69357 4.06133 0.795654 5.80051M3.1547 8.16198C4.44679 7.02377 6.1428 6.33333 8.00007 6.33333C9.85734 6.33333 11.5533 7.02377 12.8454 8.16198M10.4656 10.5167C9.78623 9.98418 8.9302 9.66667 8.00001 9.66667C7.05574 9.66667 6.1879 9.99386 5.50366 10.5411",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconWifi);
const Wifi = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "Wifi", props.className].join(" ")
    }
  );
});
Wifi.displayName = "IconWifi";
exports.default = Wifi;
